| Qore FreetdsSqlUtil Module Reference 1.4.1

Classes | Functions
FreetdsSqlUtil Namespace Reference

the FreetdsSqlUtil namespace contains all the objects in the FreetdsSqlUtil module More...

## Classes
class | FreetdsCheckConstraint
| represents a FreeTDS-specific check constraint More...
class | FreetdsColumn
| represents a FreeTDS-specific column More...
class | FreetdsDatabase
| provides the FreeTDS-specific implementation of the AbstractDatabase interface More...
class | FreetdsForeignConstraint
| represents a FreeTDS-specific foreign constraint More...
class | FreetdsFunction
| represents a FreeTDS-specific function More...
class | FreetdsIndex
| represents a FreeTDS-specific index More...
class | FreetdsNumberDataType
| the data type for FreeTDS DECIMAL columns More...
class | FreetdsNumericColumn
| represents a FreeTDS-specific numeric column More...
class | FreetdsPrimaryKey
| represents a FreeTDS-specific primary key constraint More...
class | FreetdsSavepointHelper
| FreeTDS savepoint helper. More...
class | FreetdsSequence
| class for FreeTDS sequences More...
class | FreetdsTable
| provides the FreeTDS-specific implementation of the SqlUtil::AbstractTable interface More...
class | FreetdsTrigger
| represents a FreeTDS-specific trigger More...
class | FreetdsUniqueConstraint
| class modeling a unique constraint More...
class | FreetdsUniqueConstraintCommon
| common base class for unique constraints More...
class | FreetdsView
| represents a FreeTDS view More...

## Functions
FreetdsDatabase | get_database (AbstractDatasource nds, *hash< auto > opts)
| returns a FreetdsDatabase object corresponding to the arguments
FreetdsTable | get_table (AbstractDatasource nds, string nname, *hash< auto > opts)
| returns a FreetdsTable object corresponding to the arguments

## Detailed Description

the FreetdsSqlUtil namespace contains all the objects in the FreetdsSqlUtil module